> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List tokens

> List all your existing tokens.



## OpenAPI

````yaml get /api/v2/tokens
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/tokens:
    get:
      tags:
        - Authorization
      summary: List tokens
      description: List all your existing tokens.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Success
                  tokens:
                    type: array
                    items:
                      type: object
                      properties:
                        token:
                          description: Token
                          type: string
                          example: 9fe4f9....
                        description:
                          description: Friendly description of token
                          type: string
                          example: Main app
                        type:
                          description: Token type
                          type: string
                          example: admin
                        timestamp:
                          description: Timestamp when created
                          type: string
                          example: '1678829072'
                        userId:
                          description: User Id that owns token
                          type: number
                          example: 3
        '401':
          description: Unauthorized
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````